### Enumeration

# Vips ForeignDzLayout

#### Declaration

    enum Vips.ForeignDzLayout

#### Description [src]

What directory layout and metadata standard to use.

#### Members

`VIPS_FOREIGN_DZ_LAYOUT_DZ`

  Use DeepZoom directory layout.

  - Value: `0`
  - Available since: 8.0
`VIPS_FOREIGN_DZ_LAYOUT_ZOOMIFY`

  Use Zoomify directory layout.

  - Value: `1`
  - Available since: 8.0
`VIPS_FOREIGN_DZ_LAYOUT_GOOGLE`

  Use Google maps directory layout.

  - Value: `2`
  - Available since: 8.0
`VIPS_FOREIGN_DZ_LAYOUT_IIIF`

  Use IIIF v2 directory layout.

  - Value: `3`
  - Available since: 8.0
`VIPS_FOREIGN_DZ_LAYOUT_IIIF3`

  Use IIIF v3 directory layout.

  - Value: `4`
  - Available since: 8.0